// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.5
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
using System;
using System.Collections.Generic;
using System.Text;

namespace Esmf
{
    public interface IStateObjectConnections
    {
        void AddNonDimensionalField(string name, object getterMethod);
        void AddNonDimensionalField(string name, object getterMethod, object setterMethod);
        // void AddNonDimensionalField<T>(string name, NonDimensionalFieldGetter<T> getterMethod, NonDimensionalFieldSetter<T> setterMethod);
        void AddDimensionalField(string name, object field);
        //void AddReadWriteTimeDimensionalField(string name, ITimeDimensionalReadWriteVariable<double> field);

    }
}
