﻿// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.5
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Fund
{
    public class RegionRegionParameter
    {
        private double[,] m_values = new double[LegacyParameterConstants.NoReg, LegacyParameterConstants.NoReg];
        public RegionRegionParameter()
        {
        }

        public double this[int region1, int region2]
        {
            get
            {
                return m_values[region1 - 1, region2 - 1];

            }
            set
            {
                m_values[region1 - 1, region2 - 1] = value;

            }
        }

    }
}
